module.exports = {
  root: true,
  parserOptions: {
    parser: 'babel-eslint',
    sourceType: 'module'
  },
  env: {
    browser: true,
    node: true,
    es6: true
  },
  rules: {
    indent: ['error', 2], // 缩进为2空格
    quotes: [1, 'single'], // 字符串单引号
    eqeqeq: 2, // 要求使用 === 和 ！==
    'no-extra-semi': 2, // 去掉多余的分号
    'no-multi-spaces': 1, // 不能用多余的空格
    'comma-dangle': ['error', 'never'], // 是否允许对象中出现结尾逗号
    'no-dupe-args': 2, // 函数定义的时候不允许出现重复的参数
    'no-empty': 2, // 不允许出现空的代码块
    'no-extra-parens': 0, // 不允许出现不必要的圆括号
    'no-func-assign': 2, // 不允许重新分配函数声明
    'consistent-return': 2, // 无论有没有返回值都强制要求return语句返回一个值
    'default-case': 2, // 在switch语句中需要有default语句
    'no-redeclare': 2, // 不允许变量重复声明
    'no-self-compare': 2, // 不允许自己和自己比较
    'wrap-iife': [2, 'any'], // 立即执行表达式的括号风格
    camelcase: [2, { properties: 'never' }], // 强制驼峰命名规则
    'brace-style': [2, '1tbs', { allowSingleLine: false }], // 大括号风格
    'comma-style': [2, 'last'], // 逗号风格
    'newline-after-var': 0, // 变量声明后必须空一行
    'no-multiple-empty-lines': [2, { max: 1 }], // 空行最多不能超过两行
    'padded-blocks': [2, 'never'], // 块内行首行尾是否空行
    'sort-vars': 0, // 变量声明时排序
    'space-infix-ops': [2, { int32Hint: true }], // 操作符周围的空格
    'keyword-spacing': 2, // 关键字前后的空格
    'max-len': 0 // 一行最大长度，单位为字符
  }
};
