let mysql = require('mysql');

// 开发配置
let localConfig = {
  host: '127.0.0.1',
  user: 'xxxxxx',
  password: 'xxxxxx',
  port: '8888',
  useConnectionPooling: true
}

const TEST_DATABASE = "database_name";

const pool = mysql.createPool({
  ...localConfig,
  database: TEST_DATABASE, //数据库
  connectionLimit: 20, //用于指定数据库连接池中最大的连接数 默认是10个
});

/**
 * 通用的数据存储方法
 * @returns
 */
 function resloveSql(sql, param, callback) {
  return new Promise((resolve, reject) => {
    pool.getConnection(function (err, connection) {
      if (err) reject(err);
      connection.query(sql, param || null, function (err, result) {
        callback && callback(err, result);
        if (err) reject(err);
        resolve(result);
        //回收pool
        connection.release();
      });
    });
  });
}

/**
 * 【example】 如何使用resloveSql方法
 * @return {*} 
 */
function getFundType() {
  return resloveSql("select * from fund_type");
}

module.exports={
  resloveSql
}