
/**
 * 转化为时间戳
 * @param {*} timestr
 * @return {*}
 */
function toTimestamp(timestr) {
  return Date.parse(new Date(timestr)).toString() === 'NaN'
    ? 0
    : Date.parse(new Date(timestr));
}

/**
 * 时间戳转化为正常时间
 * @param {any} shijianchuo  时间戳 精确到毫秒
 * @returns 正常时间
 */
function toNormalTime(shijianchuo) {
  var time = new Date(parseInt(shijianchuo));
  var y = time.getFullYear();
  var m = time.getMonth() + 1;
  var d = time.getDate();
  var h = time.getHours();
  var mm = time.getMinutes();
  var s = time.getSeconds();
  return (
    y +
    '-' +
    add0(m) +
    '-' +
    add0(d) +
    ' ' +
    add0(h) +
    ':' +
    add0(mm) +
    ':' +
    add0(s)
  );
}
function add0(m) {
  return m < 10 ? '0' + m : m;
}

/**
 * 某一天是否是周末
 *
 * @param {*} date
 * @return {*} 
 */
function isWeekEnd(date) {
  return ['天', '六'].includes(
    '天一二三四五六'.charAt(new Date(date).getDay())
  );
}
module.exports = {
  isWeekEnd,toTimestamp,toNormalTime
}
